curl -X GET "https://checkout.noxpay.io/v2/naas/splits?from=2026-05-01T00:00:00Z" \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <signed-headers-signature>"
import requests
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/splits",
headers=headers,
params={"from": "2026-05-01T00:00:00Z"},
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ from: "2026-05-01T00:00:00Z" });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/splits?${params}`, {
method: "GET",
headers,
});
const data = await response.json();
[
{
"end2end": "split-xyz789",
"origin_e2e": "NOXabc123",
"component": "component.success",
"state": "DONE",
"split_amount": "12.50",
"currency": "USDT_ERC20",
"correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
"created_at": "2026-05-19T14:00:00Z",
"updated_at": "2026-05-19T14:01:12Z"
}
]
NaaS — Splits
List Splits
GET /v2/naas/splits — list all master splits for this correlation.
curl -X GET "https://checkout.noxpay.io/v2/naas/splits?from=2026-05-01T00:00:00Z" \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <signed-headers-signature>"
import requests
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/splits",
headers=headers,
params={"from": "2026-05-01T00:00:00Z"},
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ from: "2026-05-01T00:00:00Z" });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/splits?${params}`, {
method: "GET",
headers,
});
const data = await response.json();
[
{
"end2end": "split-xyz789",
"origin_e2e": "NOXabc123",
"component": "component.success",
"state": "DONE",
"split_amount": "12.50",
"currency": "USDT_ERC20",
"correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
"created_at": "2026-05-19T14:00:00Z",
"updated_at": "2026-05-19T14:01:12Z"
}
]
Query parameters
| Parameter | Format | Default | Description |
|---|---|---|---|
from | RFC 3339 | 30 days ago | Start of the time range |
to | RFC 3339 | now | End of the time range |
Response 200 OK
An array of split objects. Each object has the same shape as the Get Split response.
Split states
component | state | Meaning |
|---|---|---|
component.master_split | INITIAL | Split created, awaiting checkout completion |
component.master_split | PENDING | Checkout in progress |
component.master_split | DONE | Transfer to master merchant executed |
component.master_split | ERROR | Checkout ended in an error state |
component.success | DONE | Split fully settled |
curl -X GET "https://checkout.noxpay.io/v2/naas/splits?from=2026-05-01T00:00:00Z" \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <signed-headers-signature>"
import requests
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/splits",
headers=headers,
params={"from": "2026-05-01T00:00:00Z"},
)
print(response.json())
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ from: "2026-05-01T00:00:00Z" });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/splits?${params}`, {
method: "GET",
headers,
});
const data = await response.json();
[
{
"end2end": "split-xyz789",
"origin_e2e": "NOXabc123",
"component": "component.success",
"state": "DONE",
"split_amount": "12.50",
"currency": "USDT_ERC20",
"correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
"created_at": "2026-05-19T14:00:00Z",
"updated_at": "2026-05-19T14:01:12Z"
}
]

